Subject: Weak validators in conditional requests

From: Eduard Bagdasaryan <[email-masked]>
Date: Tue, 28 Aug 2018 09:54:46 +0000

Hello,

Could you please help with the following two questions:

1. The old RFC 2616 has a MUST requirement:

> A cache or origin server receiving a conditional request, other than
> a full-body GET request, MUST use the strong comparison function to
> evaluate the condition.

But I have not found this (or equivalent) in HTTPbis. Is it deprecated?

2. RFC 7233 Appendix B states:

> A weak validator cannot be used in a 206 response. (Section 4.1)

However, I do not see any explicit 'weak validator' restrictions in
4.1 Section. Am I missing something?

Thank you,
Ed